GET
/api/v1/pre-transaction/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/pre-transaction/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/pre-transaction/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/pre-transaction/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Fetches a paginated list of all debit and credit transactions for a prepaid account, including transaction type and reason.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”List of prepaid billing transactions including pagination and balance details.
Media typeapplication/json
object
code
integer
data
Array<object>
object
amount
string
date
string
reason
string
transaction_type
string
errors
object
message
string
total_page_number
integer
total_count
integer
credit_available
number
total_consumption
number
Example
{ "code": 200, "data": [ { "amount": "154.81", "date": "Apr 29, 2025 11:00:15 AM", "reason": "Daily usage", "transaction_type": "Debit" } ], "errors": {}, "message": "Success", "total_page_number": 4, "total_count": 19, "credit_available": 3372.54, "total_consumption": 1627.46}